Index: trunk/NEMO/OPA_SRC/LDF/ldfdyn.F90
===================================================================
--- trunk/NEMO/OPA_SRC/LDF/ldfdyn.F90	(revision 473)
+++ trunk/NEMO/OPA_SRC/LDF/ldfdyn.F90	(revision 474)
@@ -122,17 +122,11 @@
       IF(lwp) WRITE(numout,*) '          momentum mixing coef. = F( depth )'
       ioptio = ioptio+1
-      IF( ln_sco ) THEN
-         IF(lwp) WRITE(numout,cform_err)
-         IF(lwp) WRITE(numout,*) '          key_dynldf_c1d cannot be used in s-coordinate (ln_sco)'
-         nstop = nstop + 1
-      ENDIF
+      IF( ln_sco ) CALL ctl_stop( '          key_dynldf_c1d cannot be used in s-coordinate (ln_sco)' )
 #endif
       IF( ioptio == 0 ) THEN
           IF(lwp) WRITE(numout,*) '          momentum mixing coef. = constant  (default option)'
         ELSEIF( ioptio > 1 ) THEN
-          IF(lwp) WRITE(numout,cform_err)
-          IF(lwp) WRITE(numout,*) '          use only one of the following keys:',   &
-                                  ' key_dynldf_c3d, key_dynldf_c2d, key_dynldf_c1d'
-          nstop = nstop + 1
+           CALL ctl_stop( '          use only one of the following keys:',   &
+                &         ' key_dynldf_c3d, key_dynldf_c2d, key_dynldf_c1d' )
       ENDIF
 
@@ -140,16 +134,10 @@
       IF( ln_dynldf_bilap ) THEN
          IF(lwp) WRITE(numout,*) '          biharmonic momentum diffusion'
-         IF( ahm0 > 0 .AND. .NOT. lk_esopa ) THEN
-            IF(lwp) WRITE(numout,cform_err)
-            IF(lwp) WRITE(numout,*) 'The horizontal viscosity coef. ahm0 must be negative'
-            nstop = nstop + 1
-         ENDIF
+         IF( ahm0 > 0 .AND. .NOT. lk_esopa )   &
+              &   CALL ctl_stop( 'The horizontal viscosity coef. ahm0 must be negative' )
       ELSE
          IF(lwp) WRITE(numout,*) '          harmonic momentum diff. (default)'
-         IF( ahm0 < 0 .AND. .NOT. lk_esopa ) THEN
-            IF(lwp) WRITE(numout,cform_err)
-            IF(lwp) WRITE(numout,*) '          The horizontal viscosity coef. ahm0 must be positive'
-            nstop = nstop + 1
-         ENDIF
+         IF( ahm0 < 0 .AND. .NOT. lk_esopa ) &
+              &   CALL ctl_stop( '          The horizontal viscosity coef. ahm0 must be positive' )
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/LDF/ldftra.F90
===================================================================
--- trunk/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 473)
+++ trunk/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 474)
@@ -112,33 +112,22 @@
       IF(lwp) WRITE(numout,*) '          tracer mixing coef. = F( depth )'
       ioptio = ioptio + 1
-      IF( .NOT. ln_zco ) THEN
-         IF(lwp) WRITE(numout,cform_err)
-         IF(lwp) WRITE(numout,*) '          key_traldf_c1d can only be used in z-coordinate - full step'
-         nstop = nstop + 1
-      ENDIF
+      IF( .NOT. ln_zco ) &
+           &   CALL ctl_stop( '          key_traldf_c1d can only be used in z-coordinate - full step' )
 #endif
       IF( ioptio == 0 ) THEN
           IF(lwp) WRITE(numout,*) '          tracer mixing coef. = constant (default option)'
         ELSEIF( ioptio > 1 ) THEN
-          IF(lwp) WRITE(numout,cform_err)
-          IF(lwp) WRITE(numout,*) '          use only one of the following keys:',   &
-             &                    ' key_traldf_c3d, key_traldf_c2d, key_traldf_c1d'
-          nstop = nstop + 1
+           CALL ctl_stop('          use only one of the following keys:',   &
+             &           ' key_traldf_c3d, key_traldf_c2d, key_traldf_c1d' )
       ENDIF
 
       IF( ln_traldf_bilap ) THEN
          IF(lwp) WRITE(numout,*) '          biharmonic tracer diffusion'
-         IF( aht0 > 0 .AND. .NOT. lk_esopa ) THEN
-            IF(lwp) WRITE(numout,cform_err)
-            IF(lwp) WRITE(numout,*) '          The horizontal diffusivity coef. aht0 must be negative'
-            nstop = nstop + 1
-         ENDIF
+         IF( aht0 > 0 .AND. .NOT. lk_esopa )   &
+              &   CALL ctl_stop( '          The horizontal diffusivity coef. aht0 must be negative' )
       ELSE
          IF(lwp) WRITE(numout,*) '          harmonic tracer diffusion (default)'
-         IF( aht0 < 0 .AND. .NOT. lk_esopa ) THEN
-            IF(lwp) WRITE(numout,cform_err)
-            IF(lwp) WRITE(numout,*) '          The horizontal diffusivity coef. aht0 must be positive'
-            nstop = nstop + 1
-         ENDIF
+         IF( aht0 < 0 .AND. .NOT. lk_esopa )   &
+              &   CALL ctl_stop('          The horizontal diffusivity coef. aht0 must be positive' )
       ENDIF
 
